Your message dated Fri, 27 Apr 2012 09:37:42 +0200
with message-id <20120427073742.ga6...@jones.dk>
and subject line Re: [Pkg-javascript-devel] Bug#650552: node-expat: FTBFS: 
EBADF, Bad file descriptor '/usr/lib/package.json'
has caused the Debian Bug report #650552,
regarding node-expat: FTBFS: EBADF, Bad file descriptor '/usr/lib/package.json'
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact ow...@bugs.debian.org
immediately.)


-- 
650552: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=650552
Debian Bug Tracking System
Contact ow...@bugs.debian.org with problems
--- Begin Message ---
Source: node-expat
Version: 1.4.1-1
Severity: serious
Justification: fails to build from source

The automated build of node-expat on i386 (the only platform besides
amd64 for which its build dependencies are available) failed with a
test suite error:

  NODE_PATH=/.../node-expat-1.4.1/debian/node-node-expat//usr/lib/nodejs node 
test.js
  
  node.js:134
          throw e; // process.nextTick error, or 'error' event on first tick
                ^
  Error: EBADF, Bad file descriptor '/usr/lib/package.json'
      at Object.openSync (fs.js:221:18)
      at Object.readFileSync (fs.js:112:15)
      at Object.<anonymous> (/usr/lib/nodejs/vows.js:254:28)
      at Module._compile (module.js:411:26)
      at Object..js (module.js:417:10)
      at Module.load (module.js:343:31)
      at Function._load (module.js:302:12)
      at require (module.js:355:19)
      at Object.<anonymous> (/.../node-expat-1.4.1/test.js:4:12)
      at Module._compile (module.js:411:26)
  make: *** [build/node-node-expat] Error 1
  dpkg-buildpackage: error: debian/rules build gave error exit status 2

I don't have time to dig too deeply, but see that the npm package
ships a package.json (under /usr/share/npm); a build dependency on
it may be in order.  At any rate, could you please take a look?

Thanks!



--- End Message ---
--- Begin Message ---
Version: 1.5.0-1

On 11-11-30 at 02:45pm, Aaron M. Ucko wrote:
> Source: node-expat
> Version: 1.4.1-1
> Severity: serious
> Justification: fails to build from source

The package evidently builds fine now.

 - Jonas

-- 
 * Jonas Smedegaard - idealist & Internet-arkitekt
 * Tlf.: +45 40843136  Website: http://dr.jones.dk/

 [x] quote me freely  [ ] ask before reusing  [ ] keep private

Attachment: signature.asc
Description: Digital signature


--- End Message ---
_______________________________________________
Pkg-javascript-devel mailing list
Pkg-javascript-devel@lists.alioth.debian.org
http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-javascript-devel

Reply via email to